## org.apache.cassandra.concurrent
Interface IExecutorMBean

All Known Subinterfaces:
  BatchCommitLogExecutorServiceMBean, ICommitLogExecutorService, JMXConfigurableThreadPoolExecutorMBean, JMXEnabledThreadPoolExecutorMBean, PeriodicCommitLogExecutorServiceMBean

All Known Implementing Classes:
  AbstractCommitLogExecutorService, JMXConfigurableThreadPoolExecutor, JMXEnabledThreadPoolExecutor

    public interface IExecutorMBean

Method Summary
`int` `getActiveCount()` Get the current number of running tasks
`long` `getCompletedTasks()` Get the number of completed tasks
`long` `getPendingTasks()` Get the number of tasks waiting to be executed

Method Detail

### getActiveCount

    int getActiveCount()

  Get the current number of running tasks

### getCompletedTasks

    long getCompletedTasks()

  Get the number of completed tasks

### getPendingTasks

    long getPendingTasks()

  Get the number of tasks waiting to be executed

Copyright © 2010 The Apache Software Foundation